Subject: Re: gitk/git-gui misfeature: saving the geometry can the window out of reach

From: "Shawn O. Pearce" <[email-masked]>
Date: Sun, 11 Nov 2007 05:44:08 -0500

Benoit Sigoure <[email-masked]> wrote:
> On Nov 11, 2007, at 6:11 AM, Shawn O. Pearce wrote:
> >Benoit Sigoure <[email-masked]> wrote:
> >>gitk (and I think git-gui too) save their "geometry" (which includes
> >>X/Y position) in ~/.gitk.  So far so good.  The problem is that I
> >>often use 2 screens at work (one is the screen of my laptop, the
> >>other one is above) and I happen to put my gitk/git-gui windows on
> >>the 2nd screen.  When I go back home, I don't have a second screen
> >>and gitk/git-gui open their windows out of reach.
> >
> >Actually git-gui saves the geometry to .git/config so I'm not sure
> >why the sed line above would correct git-gui's display issues.  But I
> >have also noticed this problem on my Mac OS X laptop when running
> >again after leaving either git-gui or gitk on the external display.
> 
> it's been a long time since I last used Tcl/Tk but if you give me a  
> hint as to where to look / what should be done, I can give it a try.

Look in git-gui.sh for "-- Load geometry"; in my current master
it is on line 2625.  This is the block where we have taken the
geometry data back in from .git/config and are trying to update
the UI to match what it says.  Unfortunately we set a coordinate
that is off the desktop using a standard X geometry string in the
"wm geometry . [lindex $gm 0]" call...

-- 
Shawn.